#!/bin/csh

if (`flagLoc $argv -help` || $#argv != 2) then
   echo "appendTitle.com specName title"
   exit 0
endif

set specNameOrig = $argv[1]
set specName     = (`nmrPrintf $specNameOrig 1 1`)

if (!(-e $specName)) then
   echo "appendTitle. Error Finding Input $specName"
   exit 1
endif

set tStr = (`getParm -in $specName -parm FDTITLE -text -fmt %s`)

if (`string csame $tStr None`) then
   set tStr = $argv[2]
else if (`string length $tStr` == 0) then
   set tStr = $argv[2]
else
   set tStr = ${tStr}-$argv[2]
endif

sethdr $specName -title $tStr
