#!/bin/csh

if ($#argv < 2) then
   echo "Execute the Given Command With Output to a Log File:"
   echo " execCmnd.com logName command"
   exit 0
endif

set logName = $argv[1]
set cmnd    = ($argv[2-])

echo "execCmnd log $logName cmnd $cmnd"

echo ""               >> $logName
echo "#"              >> $logName
echo "# `pwd` `date`" >> $logName
echo "# $cmnd"        >> $logName

$cmnd >>& $logName

exit 0
