#!/bin/csh

set HOME = /u/delaglio

if ($BINVAL == sol) then
   make CFLAGS="-fsingle -Xs" BINDIR="$HOME/bin/sol" $*
else if ($BINVAL == sun) then
   make CFLAGS="-fsingle" BINDIR="$HOME/bin" $*
else if ($BINVAL == sgi) then
   make CFLAGS="-float -cckr -Wf,-XNd50000" BINDIR="$HOME/bin/sgi" $*
else if ($BINVAL == sgi5x) then
   make CFLAGS="-float -cckr -Wf,-XNd50000 -mips2" BINDIR="$HOME/bin/sgi5x" $*
else if ($BINVAL == sgi6x) then
   make CFLAGS="-float -cckr -mips4" BINDIR="$HOME/bin/sgi6x.m4" $*
else if ($BINVAL == alpha) then
   make CFLAGS="-ieee_with_no_inexact -std0 -float" BINDIR="$HOME/bin/alpha" $*
else if ($BINVAL == ibm) then
   make CFLAGS="-qrndsngl" BINDIR="$HOME/bin/ibm" $*
else if ($BINVAL == hp) then
   make CFLAGS="" BINDIR="$HOME/bin/hp" $*
else if ($BINVAL == linux) then
   make CC=gcc CFLAGS="-traditional -DLINUX -DNON_UNIX_STDIO" \
        BINDIR="$HOME/bin/linux" $*
else
   make $*
endif
