#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -- "$@"

#
# Ordinary TCL/TK:

set xSize 500
set ySize 500

set cx1 20
set cxn 400
set cy1 20
set cyn 400

canvas .c -width $xSize -height $ySize -border 0
button .b -text Quit -command exit
pack   .c .b -side top

#
# Special:

.c create pixmap 0 0 -width $xSize -height $ySize -win 1

defineCell -x $cx1 $cxn -y $cy1 $cyn -cell 1 -verb -win 1

#
# NMRWish:

readROI -ndim 2 -roi 1 -in test.ft2 -x HN -y CO

newScreen

drawROI -roi 1 -cell 1 -xGrid -yGrid \
    -bg black -color1 multi -color2 multi -axis Bottom Right
