#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]

if {$ARGC == 1} \
   {
    set outName snap.tif
   } \
else \
   {
    set outName [lindex $ARGV 1]
   }

button .b -text Wait -command exit
pack   .b

wm iconify .

exec sleep 5

# 1152x900

writeImage -root -x 1 1150 -y 1 895 -noclip -out $outName
.b configure -text Done
wm deiconify .
exec xv $outName &
