#!/bin/csh

if ($#argv != 1) then
   echo "Mount or Unmount USB Memory Key:"
   echo ""
   echo "   $0 [on|off]"
else if ($1 == "on") then
   echo "Attempting to mount USB Key at /mnt/usbkey ..."
   mount -t vfat -outmask=0000 /dev/sda1 /mnt/usbkey
else if ($1 == "off") then
   echo "Attempting to dismount USB Key from /mnt/usbkey ..."
   umount /mnt/usbkey
endif

echo ""
echo "*** Mounted File Systems:"
echo ""

mount -l
