
#
# Modules for Spectral Viewers.

proc create1DViewer args \
{
   global vwInfo

   set ARGV [concat create1DViewer $args]

   set obj  vw1D

   getArgD $ARGV -obj obj

   if {![info exists vwInfo($obj,wList)]} {set vwInfo($obj,wList) ""}

   set vwInfo($obj,w)    ""
   set vwInfo($obj,geom) +20+20
   set vwInfo($obj,charX)  10
   set vwInfo($obj,charY)  16
   set vwInfo($obj,xSize)  360
   set vwInfo($obj,ySize)  120
   set vwInfo($obj,cx1)    Auto
   set vwInfo($obj,cxn)    Auto
   set vwInfo($obj,cy1)    Auto
   set vwInfo($obj,cyn)    Auto

   getArgD $ARGV -geom     vwInfo($obj,geom)
   getArgD $ARGV -w        vwInfo($obj,w)
   getArgD $ARGV -xSize    vwInfo($obj,xSize)
   getArgD $ARGV -ySize    vwInfo($obj,ySize)

   getArgD $ARGV -cx1      vwInfo($obj,cx1)
   getArgD $ARGV -cxn      vwInfo($obj,cxn)
   getArgD $ARGV -cy1      vwInfo($obj,cy1)
   getArgD $ARGV -cyn      vwInfo($obj,cyn)

   set1DViewerCell $obj
}

proc set1DViewerCell { obj } \
{
   global vwInfo

   if {![strcasecmp $vwInfo($obj,cx1) Auto]} \
      {
       set vwInfo($obj,cx1) $vwInfo($obj,charX)
      }

   if {![strcasecmp $vwInfo($obj,cx1) Auto]} \
      {
       set vwInfo($obj,cxn) [expr $vwInfo($obj,xSize) - 10*$vwInfo($obj,charX)]
      }

   if {![strcasecmp $vwInfo($obj,cx1) Auto]} \
      {
       set vwInfo($obj,cy1) $vwInfo($charY)
      }

   if {![strcasecmp $vwInfo($obj,cx1) Auto]} \
      {
       set vwInfo($obj,cyn) [expr $vwInfo($obj,ySize) - 4*$vwInfo($obj,charY)]
      }

   if {$vwInfo($obj,cxn) < $vwInfo($obj,cx1)} \
      {
       set vwInfo($obj,cxn) $vwInfo($obj,cx1)
      }

   if {$vwInfo($obj,cyn) < $vwInfo($obj,cy1)} \
      {
       set vwInfo($obj,cyn) $vwInfo($obj,cy1) 
      }
}


