#!/bin/csh

nmrPipe -in test.fid \
| nmrPipe  -fn SOL                                    \
| nmrPipe  -fn SP -off 0.33 -end 0.98 -pow 2.0 -c 0.5 \
| nmrPipe  -fn ZF -size 2048                          \
| nmrPipe  -fn FT                                     \
| nmrPipe  -fn EXT -left -sw                          \
| nmrPipe  -fn MAC -macro ap_hlr.M -di                \
| nmrPipe  -fn EXT -x1 11.5ppm -xn 5.5ppm -sw         \
| nmrPipe  -fn TP                                     \
| nmrPipe  -fn SP -off 0.33 -end 0.98 -pow 2 -c 1.0   \
| nmrPipe  -fn ZF -size 1024                          \
| nmrPipe  -fn FT                                     \
| nmrPipe  -fn PS  -p0 -90.0 -p1 180.0 -di            \
| nmrPipe  -fn TP                                     \
| nmrPipe  -fn POLY -auto                             \
   -out test.ft2 -verb -ov
