if (sliceCode != 1)
   {
    exit( 0 );
   };

float fR[size], fI[size];
float bR[size], bI[size];
    
ix1 = spec2pnt( fdata, CUR_XDIM, p1X1 );
ix2 = spec2pnt( fdata, CUR_XDIM, p1X2 );

jx1 = spec2pnt( fdata, CUR_XDIM, p0X1 );
jx2 = spec2pnt( fdata, CUR_XDIM, p0X2 );

ix1 = integer( ix1 ) - 1;
ix2 = integer( ix2 ) - 1;
jx1 = integer( jx1 ) - 1;
jx2 = integer( jx2 ) - 1;

if (ix1 > ix2)
   {
    itemp = ix1;
    ix1   = ix2;
    ix2   = itemp;
   };

if (jx1 > jx2)
   {
    itemp = jx1;
    jx1   = jx2;
    jx2   = itemp;
   };

if (ix1 < 0)        {ix1 = 0;};
if (ix2 > size - 1) {ix2 = size - 1;};

if (jx1 < 0)        {jx1 = 0;};
if (jx2 > size - 1) {jx2 = size - 1;};

ix0     = jx1;
bestVal = rdata[jx1];

for( i = jx1; i <= jx2; i++ )
   {
    if (rdata[i] > bestVal)
       {
        bestVal = rdata[i];
        ix0 = i;
       };
   }
 
bestVal = -1.0e+16;
bestP1  =  -90;
pFirst  =  -90;
pLast   =  540;

length  = 1 + ix2 - ix1;

(void) vvCopyOff( bR, rdata, length, 0, ix1 );
(void) vvCopyOff( bI, idata, length, 0, ix1 );

for( p1 = pFirst; p1 <= pLast; p1 += 1.0 )
   {
    (void) vvCopy( fR, bR, length );
    (void) vvCopy( fI, bI, length );

    p0     = -ix0*p1/size;
    thisP0 = p0 + ix1*p1/size;
    thisP1 = ix2*p1/size - thisP0;

    (void) phase( fR, fI, length, thisP0, thisP1 );

    thisVal = vMin( fR, length );
    
    if (thisVal > bestVal)
       {
        bestVal = thisVal;
        bestP1  = p1;
       };
   }

p1 = bestP1;
p0 = -ix0*p1/size;

(void) printf( "\nP0: %.2f P1: %.2f\n", p0, p1 );

(void) phase( rdata, idata, size, p0, p1 );
