
if (sliceCode == CODE_INIT)
   {
    NDQUADFLAG = 1007;
    FD_REAL    = 1;

    (void) setParm( fdata, NDSIZE,     integer( specnum/2 ), CUR_YDIM ); 
    (void) setParm( fdata, NDQUADFLAG, FD_REAL,              CUR_YDIM ); 
   };

if (sliceCode < 1)
   {
    exit( 0 ); 
   };

/***/
/* Process only every pair complex 1D slices:
/***/

if (sliceCode % 2)
   {
    exit( 0 );
   };

float rR[size], rI[size], iR[size], iI[size];

(void) dReadB( inUnit, rR,  wordLen*size );
(void) dReadB( inUnit, rI,  wordLen*size );
(void) dReadB( inUnit, iR,  wordLen*size );
(void) dReadB( inUnit, iI,  wordLen*size );

(void) vNeg( iI, size );

(void) vvAdd( rR, iI, size );
(void) vvAdd( rI, iR, size );

(void) vNeg( rR, size );

(void) dWrite( outUnit, rI, wordLen*size );
(void) dWrite( outUnit, rR, wordLen*size );


