#!/bin/csh

#
# Sun-console Chemagnetics format conversion;
# uses macro rrii.M to shuffle unusual Chemagnetics format.

bin2pipe -in data -chem -noswap \
  -xN            512    -yN          128  \
  -xT            256    -yT           64  \
  -xMODE     Complex    -yMODE   Complex  \
  -xSW      3333.000    -ySW    3333.000  \
  -xOBS     100.4005    -yOBS   100.4005  \
  -xCAR          0.0    -yCAR        0.0  \
  -xLAB           F2    -yLAB         F1  \
  -ndim            2    -aq2D     States  \
| nmrPipe -fn MAC -macro $NMRTXT/rrii.M -noRd -noWr \
  -out test.fid -ov -verb
