#!/bin/csh

#
# Chemagnetics 3D States Conversion, with pre-processing for
# non-default acquisition order:
 
bin2pipe -in d -chem \
  -xN            256    -yN         160  -zN         160  \
  -xT            128    -yT          80  -zT          80  \
  -xMODE     Complex    -yMODE  Complex  -zMODE  Complex  \
  -xSW      12500.00    -ySW   10000.00  -zSW  10000.000  \
  -xOBS     100.3896    -yOBS  100.3896  -zOBS  100.3896  \
  -xCAR           45    -yCAR      45.0  -zCAR      45.0  \
  -xLAB           F3    -yLAB        F1  -zLAB        F2  \
  -ndim            3    -aq2D    States                   \
| nmrPipe -fn MAC -macro $NMRTXT/shuf3D.M -noRd -noWr     \
| pipe2xyz -out fid/test%03d.fid -verb -ov -to 0
