/***/
/* ft.M: example forward Fourier Transform.
/***/

float bR[size], bI[size];

(void) vsSet( bR, size, 0.0 );
(void) vsSet( bI, size, 0.0 );

mid = integer( size/2 );

for( k = 0; k < size; k++ )
   {
    for( n = 0; n < size; n++ )
       {
        f  = 2.0*PI*(k - mid)*n/size;

        vR = cos( f );
        vI = sin( f );

        bR[k] += rdata[n]*vR - idata[n]*vI;
        bI[k] += rdata[n]*vI + idata[n]*vR;
       } 
   }

(void) vvCopy( rdata, bR, size );
(void) vvCopy( idata, bI, size );
