/***/
/* shear.M: apply a tilt to a real-only spectrum;
/*          requires "slope" and "offset" from command-line, for example:
/*
/*          | nmrPipe -fn MAC -macro shear.M -var slope 0.25 offset 1 \
/***/

shift  = slope*(yLoc - offset);

p0 = 0.0;
p1 = -360.0*shift;

(void) hilbert( rdata, idata, size );
(void) ift( rdata, idata, size );
(void) phase( rdata, idata, size, p0, p1 );
(void) fft( rdata, idata, size );
