/***/
/* Linear symmetrization for J-resolved data.
/* Assumes mid is defined as point location of symmetry plane.
/***/

j   = mid;

for( i = mid; i >= 0 && j < size; i-- )
   {
    if (abs(rdata[i]) > abs(rdata[j]))
       {
        rdata[i] = rdata[j];
       }
    else
       {
        rdata[j] = rdata[i];
       };

    j++;
   }
