#!/bin/csh

if (`flagLoc $argv -help`) then
   echo "Delete 4D NMRPipe Results:"
   echo " clean4D.com name1 ..."
   echo "Example:"
   echo " clean4D.com ft/test%03d%03d.ft2 ft/test%03d%03d.lp1"
   exit 0
endif

foreach inName ($*)
  @ fmtCount = (`echo $inName | sed -e 's/\(.\)/\1\n/g' | grep % | wc -l`)

  if ($fmtCount == 1) then
     clean3D.com $inName
     continue
  endif

  @ i = 1
  @ n = 0

   while( $i < 9999 )
      @ j = 1

      while ($j < 9999 )
         set thisName = (`nmrPrintf $inName $i $j`)

         if (-e $thisName) then
            /bin/rm -f $thisName
            @ n++
         else
            break
         endif

         if ($n == 1) then
            echo "Cleaning $inName"
         endif

         @ j++
      end

      @ i++
   end

   if ($n) then
      echo "Removed Intermediate Result $inName 1 $n"
   endif
end
