#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]

proc findFiles { dirName pattern } \
{
   set d     [file normalize $dirName]
   set fList [lsort -dictionary [glob -nocomplain $d/*]]

   foreach f $fList \
      {
       if {[file isdirectory $f]} \
          {
           findFiles $f $pattern
          } \
       elseif {[strmatch [file tail $f] $pattern]} \
          {
           puts "file delete $f"
          }
      }

   return 0
}

findFiles . aux.*

puts "exit 0"
exit 0
