
if test $# != 1
then
   echo "Report plane location of maximum absolute intensity in a 3D."
   echo "Usage:"
   echo "  maxPlane.ksh inTemplate"
   echo "Examples:"
   echo "  maxPlane.ksh sili2/ir%03d.dat"
   echo "  maxPlane.ksh vkbak1/ir%03d.dat"
   exit 0
fi

auxTemplate=$(echo $1 | sed -e 's/%03d/%03.0f/')

M $NMRTXT/maxPlane.M -str inName $auxTemplate -quit
