#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -notk -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"

set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]

if {![info exists  env(NMRBASE)]} \
   {
    puts stderr "Missing NMRBASE Environment Variable."
    exit 1
   }

if {![file exists  $env(NMRBASE)/com/delTab.tcl]} \
   {
    puts stderr "Missing NMRBASE com/delTab.tcl Script."
    exit 1
   }

if {[flagLoc $ARGV -help]} \
   {
    puts "Note: randDel.tcl is the same as delTab.tcl"
   }

source $env(NMRBASE)/com/delTab.tcl
