#!/bin/sh
# The next line restarts using nmrWish \
exec nmrWish "$0" -- "$@"

set auto_path "[split $env(TCLPATH) :] $auto_path"
set ARGV      [concat $argv0 $argv]
set ARGC      [llength $ARGV]

if {[flagLoc $ARGV -help]} \
   {
    showTable -help
    exit 1
   }

proc myTabProc { w type ix iy } \
{
   puts "Event $type for item $w, cell at $ix,$iy."
}

set status [eval "showTable [concat $argv -event myTabProc]"]
if {![llength $status]} {exit 1}
