float fR[size], fI[size];
float bR[size], bI[size];

ix1    = 0.2*size;
ix2    = spec2pnt( fdata, CUR_XDIM, x1 );
ix3    = spec2pnt( fdata, CUR_XDIM, xn );
ixn    = 0.8*size;

ix1    = integer( ix1 );
ix2    = integer( ix2 );
ix3    = integer( ix3 );
ixn    = integer( ixn );

bestVal = -1e+16;
bestP0  = 0.0;
pFirst  = -90;
pLast   = 0.0;

nLeft  = 1 + ix2 - ix1;
nRight = 1 + ixn - ix3;
length = nLeft + nRight;

(void) vvCopyOff( bR, rdata, nLeft, 0, ix1 );
(void) vvCopyOff( bI, idata, nLeft, 0, ix1 );

(void) vvCopyOff( bR, rdata, nRight, nLeft, ix3 );
(void) vvCopyOff( bI, idata, nRight, nLeft, ix3 );

for( p0 = pFirst; p0 <= pLast; p0 += 1.0 )
   {
    (void) vvCopy( fR, bR, length );
    (void) vvCopy( fI, bI, length );
    (void) phase( fR, fI, length, p0, 0.0 );

    thisVal = vMin( fR, length );

    if (thisVal > bestVal)
       {
        bestVal = thisVal;
        bestP0  = p0;
       };
   }

(void) printf( "%f\n", bestP0 );
(void) phase( rdata, idata, size, bestP0, 0.0 );
