#!/bin/csh

#
# Bruker AMX 3D States-Mode CBCA(CO)NH Conversion:

bruk2pipe -in ser \
  -xN           1024    -yN         104  -zN          64  \
  -xT            512    -yT          52  -zT          32  \
  -xMODE     Complex    -yMODE  Complex  -zMODE  Complex  \
  -xSW       7575.76    -ySW    8445.95  -zSW    1515.15  \
  -xOBS      500.130    -yOBS    125.76  -zOBS   50.6800  \
  -xCAR        4.683    -yCAR      46.0  -zCAR    117.00  \
  -xLAB           HN    -yLAB      CACB  -zLAB         N  \
  -ndim            3    -aq2D    States                   \
  -out fid/test%03d.fid -verb -ov
