#!/bin/csh

if ($#argv < 3) then
   nmrPrintf -stderr "$0\: catenate ser files to standard output.\n"
   nmrPrintf -stderr " $0 pathName firstSerNumber lastSerNumber [-verb]\n"
   exit 1
endif

set i = $2
set v = 0

if ($#argv > 3) then
   if ($argv[4] == "-verb") then
      set v  = 1
   else
      set v = 0
   endif
endif

while ($i <= $3)
  if ($v) then
     nmrPrintf -stderr "cat $1/$i/ser\r"
  endif

  cat $1/$i/ser
  @ i++
end

if ($v) then
   nmrPrintf -stderr "\n"
endif
