#!/bin/csh

#
# Conversion with SE summation-mode shuffling;
#  Use argument "-dif" with macro "se.M" for difference mode.

bruk2pipe -in hnco.ser -noswap \
  -xN           2048    -yN          128  \
  -xT           1024    -yT           32  \
  -xMODE     Complex    -yMODE   Complex  \
  -xSW     9615.3846    -ySW    1250.000  \
  -xOBS       600.13    -yOBS     60.810  \
  -xCAR        4.677    -yCAR      116.5  \
  -xLAB           HN    -yLAB          N  \
  -ndim            2    -aq2D     States  \
| nmrPipe -fn MAC -macro $NMRTXT/seY.M -noRd -noWr -all \
  -out test.fid -ov -verb
