#!/bin/csh

#
# Converts a previously-converted Bruker AM States 2D:

bin2pipe -in tttt5.dat \
 -xN           2048  -yN           650 \
 -xT           2048  -yT           325 \
 -xSW   8000.000000  -ySW  8000.000000 \
 -xOBS   500.000000  -yOBS  500.000000 \
 -xCAR         4.77  -yCAR        4.77 \
 -xMODE  Sequential  -yMODE    Complex \
 -xLAB           F2  -yLAB          F1 \
 -ndim            2  -aq2D      States \
 -ftNEW -out test.fid -verb -ov
