/***/
/* ift.M: example inverse Fourier Transform.
/***/

float bR[size], bI[size];

(void) vsSet( bR, size, 0.0 );
(void) vsSet( bI, size, 0.0 );

mid = integer( size/2 );

for( n = 0; n < size; n++ )
   {
    for( k = 0; k < size; k++ )
       {
        f = -2.0*PI*k*(n - mid)/size;

        vR = cos( f )/size;
        vI = sin( f )/size;

        bR[k] += rdata[n]*vR - idata[n]*vI;
        bI[k] += rdata[n]*vI + idata[n]*vR;
       } 
   }

(void) vvCopy( rdata, bR, size );
(void) vvCopy( idata, bI, size );
