/***/
/* Tilting for J-resolved data.
/*   Assumes mid is point location of J=0.
/*   Assumes slope specifies amount of tilt.
/***/

shift = -slope*xSize*(yLoc - mid)/ySize;

p0 = 0.0;
p1 = -360.0*shift;

(void) hilbert( rdata, idata, size );
(void) ift( rdata, idata, size );
(void) phase( rdata, idata, size, p0, p1 );
(void) fft( rdata, idata, size );
