#!/bin/csh -f

#
# procIR1d.com: Used by IRDraw's "Auto-Process 1D" Command.
#  Usage: procIR1d.com axisName quadMode ftMode [userArgs]
#  Data is read and written via stdin/stdout.

#echo 1D Macro=$0 Axis=$1 Type=$2 Domain=$3

if ($3 == Time) then
   if ($1 == IR) then
      nmrPipe    -fn CBF -tty \
      | nmrPipe  -fn ZF -auto \
      | nmrPipe  -fn FT -auto \
      | nmrPipe  -fn MC       \
        -tty -verb -inc 1
   else
      nmrPipe   -fn ZF -auto -tty \
      | nmrPipe -fn FT -auto -tty -verb -inc 1
   endif
else
   nmrPipe    -fn HT -auto -tty \
   | nmrPipe  -fn FT -inv       \
     -tty -verb -inc 1
endif
