#!/bin/csh

#
# Varian 3D States-Mode HNCO Conversion:
#  "-aqORD 1" selects for (3D d3,d2,phase,phase2) acquisition.
 
var2pipe -in varian.fid \
   -xN           1024    -yN         144  -zN          64  \
   -xT            512    -yT          72  -zT          32  \
   -xMODE     Complex    -yMODE  Complex  -zMODE  Complex  \
   -xSW       8000.00    -ySW    5988.00  -zSW    1650.00  \
   -xOBS      600.000    -yOBS  600.0000  -zOBS  60.00000  \
   -xCAR         4.66    -yCAR      4.66  -zCAR    115.00  \
   -xLAB           HN    -yLAB         H  -zLAB         N  \
   -ndim            3    -aq2D    States  -aqORD        1  \
   -out fid/test%03d.fid -verb -ov
