#!/bin/csh

#
# Extraction and Processing of an X-Axis/A-Axis 2D Plane from 4D:
#  Extract the first XA Plane.
#  Process the plane with a 2D scheme.

ext_xa.com fid/test%02d%03d.fid xa001.fid

nmrPipe -in xa001.fid \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 2 -c 0.5      \
| nmrPipe  -fn ZF -auto                                 \
| nmrPipe  -fn FT                                       \
| nmrPipe  -fn PS -p0 0.0 -p1 0.0 -di -verb             \
| nmrPipe  -fn TP                                       \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 1 -c 0.5      \
| nmrPipe  -fn ZF -auto                                 \
| nmrPipe  -fn FT                                       \
| nmrPipe  -fn PS -p0 0.0 -p1 0.0 -di -verb             \
   -out test.ft2 -ov
