/***/
/* Rearrange XY readROI time-domain extract to a 2D hypercomplex FID.
/***/

if (sliceCode == CODE_INIT)
   {
    (void) setParm( fdata, FDPIPEFLAG, 0,             NULL_DIM );
    (void) setParm( fdata, FDCUBEFLAG, 0,             NULL_DIM );
    (void) setParm( fdata, FDDIMCOUNT, 2,             NULL_DIM );

    (void) setParm( fdata, NDQUADFLAG, FD_COMPLEX,    CUR_XDIM );
    (void) setParm( fdata, NDQUADFLAG, FD_COMPLEX,    CUR_YDIM );
    (void) setParm( fdata, FDQUADFLAG, FD_COMPLEX,    NULL_DIM );

    (void) setParm( fdata, NDSIZE,     specnum/2,     CUR_YDIM );
   };

if (sliceCode != CODE_DONE)
   {
    exit( 0 );
   };

float buff1D[size];

for( i = 0; i < specnum; i++ )
   {
    (void) dReadB( inUnit,   buff1D, wordLen*size );
    (void) dWriteB( outUnit, buff1D, wordLen*size );
   }
