#!/bin/csh

xyz2pipe -in fid/test%03d.fid -x -verb             \
| nmrPipe -fn SOL                                  \
| nmrPipe -fn SP -off 0.35 -end 0.99 -pow 2 -c 0.5 \
| nmrPipe -fn ZF -auto                             \
| nmrPipe -fn FT                                   \
| nmrPipe -fn PS -p0 0.0 -p1 0.0 -di               \
| nmrPipe -fn EXT -x1 5ppm -xn 10.5ppm -sw         \
| nmrPipe -fn TP                                   \
| nmrPipe -fn ZF -zf 2 -auto                       \
| nmrPipe -fn RS -rs  1 -sw                        \
| nmrPipe -fn SP -off 0.45 -end 0.95 -pow 1        \
| nmrPipe -fn FT -di                               \
| nmrPipe -fn POLY -auto -ord 0                    \
| pipe2xyz -out ft/test%03d.ft3 -x

xyz2pipe -in ft/test%03d.ft3 -z                    \
| nmrPipe -fn ZF -zf 2 -auto                       \
| nmrPipe -fn RS -rs  1 -sw                        \
| nmrPipe -fn SP -off 0.35 -end 0.95 -pow 1        \
| nmrPipe -fn FT -di                               \
| nmrPipe -fn POLY -auto -ord 0                    \
| nmrPipe -fn HT                                   \
| nmrPipe -fn FT -inv                              \
| nmrPipe -fn SP -inv -hdr                         \
| nmrPipe -fn FT -di                               \
| nmrPipe -fn TP                                   \
| nmrPipe -fn HT                                   \
| nmrPipe -fn FT -inv                              \
| nmrPipe -fn SP -inv -hdr                         \
| nmrPipe -fn FT -di                               \
| nmrPipe -fn TP                                   \
| nmrPipe -fn MEM -ndim 2 -sigma 220 -alpha 0.001  \
                  -xconv EM -yconv EM -report 2    \
                  -xcQ1  20  -ycQ1 15              \
| pipe2xyz -out ft/mem%03d.ft3 -x

